#
# spec file for package fuffo
#
# Copyright (c) 2020 Packman Team <packman@links2linux.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.links2linux.org/
#


%define sover   0
Name:           libdca
Version:        0.0.7
Release:        1.2
Summary:        A free DTS Coherent Acoustics decoder
License:        GPL-2.0-or-later
URL:            https://www.audiocoding.com/
Source0:        https://download.videolan.org/videolan/%{name}/%{version}/%{name}-%{version}.tar.bz2
# PATCH-FIX-UPSTREAM libdca-do_not_create_link.patch
Patch0:         libdca-do_not_create_link.patch
BuildRequires:  automake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkgconfig


%description
libdca is a free library for decoding DTS Coherent Acoustics streams.
The code is written by Gildas Bazin and was based on the a52dec project.
It is released under the terms of the GPL license.

The DTS Coherent Acoustics standard (ETSI 102 114 v1.2.1), as published
by the ETSI, is available here (look for DTS Coherent Acoustics).

%package -n %{name}%{sover}
Summary:        A free DTS Coherent Acoustics decoder

%description -n %{name}%{sover}
libdca is a free library for decoding DTS Coherent Acoustics streams.
The code is written by Gildas Bazin and was based on the a52dec project.
It is released under the terms of the GPL license.

The DTS Coherent Acoustics standard (ETSI 102 114 v1.2.1), as published
by the ETSI, is available here (look for DTS Coherent Acoustics).

%package devel
Summary:        Development libraries for libdca
Requires:       %{name}%{sover} = %{version}

%description devel
Header files and development documentation for liblibdca.

%package -n dca-utils
Summary:        Utilities for libdca

%description -n dca-utils
Utilities to work with DTS Coherent Acoustics streams.

%prep
%autosetup -p1

%build
autoreconf -fiv
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name "*.la" -delete
%fdupes %{buildroot}

%post -n %{name}%{sover} -p /sbin/ldconfig
%postun -n %{name}%{sover} -p /sbin/ldconfig

%files -n %{name}%{sover}
%{_libdir}/%{name}.so.%{sover}
%{_libdir}/%{name}.so.%{sover}.*

%files -n dca-utils
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/dcadec
%{_bindir}/dtsdec
%{_bindir}/extract_dca
%{_bindir}/extract_dts
%{_mandir}/man1/dcadec.1%{?ext_man}
%{_mandir}/man1/dtsdec.1%{?ext_man}
%{_mandir}/man1/extract_dca.1%{?ext_man}
%{_mandir}/man1/extract_dts.1%{?ext_man}

%files devel
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_includedir}/dca.h
%{_includedir}/dts.h
%{_libdir}/libdca.so
%{_libdir}/pkgconfig/libdca.pc
%{_libdir}/pkgconfig/libdts.pc

%changelog
* Mon Apr 27 2020 Luigi Baldoni <aloisio@gmx.com>
- Initial package (v0.0.7)
